> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apipublicbooking url availabilitiesprofessionaltreatment



## OpenAPI

````yaml /openapi.json get /api/public/booking-url/{urlName}/availabilities/professional/treatment
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/booking-url/{urlName}/availabilities/professional/treatment:
    get:
      operationId: BookingUrlPublicController_getAvailabilitiesByProfessionalAndTreatment
      parameters:
        - name: urlName
          required: true
          in: path
          schema:
            minLength: 3
            maxLength: 50
            type: string
        - name: professionalId
          required: true
          in: query
          schema:
            type: string
        - name: treatmentId
          required: true
          in: query
          schema:
            type: string
        - name: date
          required: false
          in: query
          schema:
            type: string
        - name: monthly
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''

````